Read the design system (colors, fonts, radius, shadow) and the available style names.
Read the design system (colors, fonts, radius, shadow) and the available style names.
GET
https://app.softsolz.uk/api/v1/services/site-builder/projects/{id}/design-systemRecent Requests
Log in to see full request historyTimeStatusUser Agent
Make a request to see history.
Path Params
idstringrequiredHeaders
AuthorizationstringrequiredBearer token: `Bearer sk_live_...` (or `sk_test_...` for sandbox). A login token will not work here.
Response
Response Body
design_systemobject | nullCurrent design system or null when none was set yet.stylesarray of stringsStyle names accepted by PUT.Request
import { SoftSolz } from '@softsolz/sdk';
const client = new SoftSolz({ apiKey: process.env.SOFTSOLZ_API_KEY });
const result = await client.siteBuilder.getProjectDesignSystem('<id>');console.log(result);Credentials
Sent as a Bearer token. Stored only in your browser.
Response · 200
{ "data": { "design_system": "string", "styles": [] }}